This patch enables setting the rom_address in the dts. 

build and boot tested on amd serengeti
Signed-off-by: Ronald G. Minnich <rminnich@gmail.com>

Index: util/dtc/flattree.c
===================================================================
--- util/dtc/flattree.c	(revision 913)
+++ util/dtc/flattree.c	(working copy)
@@ -665,6 +665,10 @@
 			enabled = 0;
 		}
 
+		if (streq(prop->name, "rom_address")){
+			fprintf(f, "\t.rom_address = %s,\n", prop->val.val);
+		}
+
 		if (streq(prop->name, "config")){
 			fprintf(f, "\t.device_configuration = &%s,\n", clean(tree->label, 1));
 		}
